num2star <- function(x){
  if(x==4) "***" else
    if(x==3) "**" else
      if(x==2) "#*" else
        if(x==1) "#+" else " "
}

num2stars <- Vectorize(num2star)

findstar <- function(coef, se){
  p <- 2 * (1-pnorm(abs(coef/se)))
  tmp <- 5 - findInterval(p, c(0, 0.001, 0.01, 0.05, 0.1))
  matrix(num2stars(tmp), nrow(coef), ncol(coef))
}

comb <- function(coef, se, digit = 3){
  dim <- dim(coef)
  star <- findstar(coef, se)
  coef <- round(coef, digit)
  se <- paste0("(", round(se, digit), ")")
  mat <- matrix(paste0(coef, star, " ", se), dim[1], dim[2])
  data.frame(mat, stringsAsFactors = FALSE)
}

# coef <- read.csv("tableC1coef.csv") %>% `[`(, -1) %>% as.matrix()
# se <- read.csv("tableC1se.csv") %>% `[`(, -1) %>% as.matrix()
# write.csv(comb(coef, se), "tableC1.csv", row.names = FALSE)
# 
# coef <- read.csv("tableC2coef.csv") %>% `[`(, -1) %>% as.matrix()
# se <- read.csv("tableC2se.csv") %>% `[`(, -1) %>% as.matrix()
# write.csv(comb(coef, se), "tableC2.csv", row.names = FALSE)
# 
# coef <- read.csv("tableD1coef.csv") %>% `[`(, -1) %>% as.matrix()
# se <- read.csv("tableD1se.csv") %>% `[`(, -1) %>% as.matrix()
# write.csv(comb(coef, se), "tableD1.csv", row.names = FALSE)
# 
# coef <- read.csv("tableD2coef.csv") %>% `[`(, -1) %>% as.matrix()
# se <- read.csv("tableD2se.csv") %>% `[`(, -1) %>% as.matrix()
# write.csv(comb(coef, se), "tableD2.csv", row.names = FALSE)
