rm(list=ls(all=TRUE))

library("foreign")
library("Hmisc")
library("haven")
library("readr")
library("tidyr")
library("dplyr")
library("ggplot2")
library("gridExtra")
library("ltm")
library("pryr")
library("car")
library("xtable")
library("ebal")
library("mgcv")
library("survey")
library("splines")
source("01_star.R")

load("results_male_noadv.RData")
load("results_female_noadv.RData")
load("results_full_noadv.RData")

var_labels <- c("Female", "Black", "Hispanic", "Mother's Education", "Father Presence",
                "Number of Siblings", "Urban Residence", "Adjusted AFQT Score", "Educational Expectation") 
var_levels <- c("female", "black", "hispanic", "educ_mom", "father", "num_sibs", "urban", "test_score", "educ_exp")

nrow(nlsy79_ed3_b)
nrow(nlsy79_male_ed3_b)
nrow(nlsy79_female_ed3_b)

# table 4

coef <- list(msm_b_naive, msm_b_ebal,
             msm_b_naive_male, msm_b_ebal_male,
             msm_b_naive_female, msm_b_ebal_female) %>%
  lapply(summary) %>% lapply(coef) %>%  lapply(`[`, , 1) %>% simplify2array()

se <- list(msm_b_naive, msm_b_ebal,
           msm_b_naive_male, msm_b_ebal_male,
           msm_b_naive_female, msm_b_ebal_female) %>%
  lapply(summary) %>% lapply(coef) %>% lapply(`[`, , 2) %>% simplify2array()

# write.csv(coef, "table4coef_noadv.csv")
# write.csv(se, "table4se_noadv.csv")
# 
# list(msm_b_naive, msm_b_ebal,
#      msm_b_naive_male, msm_b_ebal_male,
#      msm_b_naive_female, msm_b_ebal_female) %>%
#   lapply(summary)

comb(coef, se) %>% write.csv("table4.csv", row.names = FALSE)

table(nlsy79_ed3_b$sex)

# 3-category results # 

load("results_male_edu3_noadv.RData")
load("results_female_edu3_noadv.RData")
load("results_full_edu3_noadv.RData")

var_labels <- c("Female", "Black", "Hispanic", "Mother's Education", "Father Presence",
                "Number of Siblings", "Urban Residence", "Adjusted AFQT Score", "Educational Expectation")
var_levels <- c("female", "black", "hispanic", "educ_mom", "father", "num_sibs", "urban", "test_score", "educ_exp")

# table 5

# coef <- list(msm_b_naive, msm_b_ebal,
#              msm_b_naive_male, msm_b_ebal_male,
#              msm_b_naive_female, msm_b_ebal_female) %>%
#   lapply(summary) %>% lapply(coef) %>%  lapply(`[`, , 1) %>% simplify2array()
# 
# se <- list(msm_b_naive, msm_b_ebal,
#            msm_b_naive_male, msm_b_ebal_male,
#            msm_b_naive_female, msm_b_ebal_female) %>%
#   lapply(summary) %>% lapply(coef) %>% lapply(`[`, , 2) %>% simplify2array()
# 
# comb(coef, se) %>% write.csv("table5.csv", row.names = FALSE)

# list(msm_b_naive, msm_b_ebal,
#      msm_b_naive_male, msm_b_ebal_male,
#      msm_b_naive_female, msm_b_ebal_female) %>%
#   lapply(summary) 
# 
# write.csv(coef, "table5coef_noadv.csv")
# write.csv(se, "table5se_noadv.csv")
