rm(list=ls(all=TRUE))

library("foreign")
library("Hmisc")
library("haven")
library("readr")
library("tidyr")
library("dplyr")
library("ggplot2")
library("gridExtra")
library("ltm")
library("pryr")
library("car")
library("xtable")
library("ebal")
library("twang")
library("mgcv")
library("survey")
library("splines")
source("01_star.R")

load("results_male_noadv_IGE.RData")
load("results_female_noadv_IGE.RData")
load("results_full_noadv_IGE.RData")

var_labels <- c("Female", "Black", "Hispanic", "Mother's Education", "Father Presence",
                "Number of Siblings", "Urban Residence", "Adjusted AFQT Score", "Educational Expectation") 
var_levels <- c("female", "black", "hispanic", "educ_mom", "father", "num_sibs", "urban", "test_score", "educ_exp")

nrow(nlsy79_ed3_b)
nrow(nlsy79_male_ed3_b)
nrow(nlsy79_female_ed3_b)

# table C3

coef <- list(msm_b_naive, msm_b_ebal,
             msm_b_naive_male, msm_b_ebal_male,
             msm_b_naive_female, msm_b_ebal_female) %>%
  lapply(summary) %>% lapply(coef) %>%  lapply(`[`, , 1) %>% simplify2array()

se <- list(msm_b_naive, msm_b_ebal,
           msm_b_naive_male, msm_b_ebal_male,
           msm_b_naive_female, msm_b_ebal_female) %>%
  lapply(summary) %>% lapply(coef) %>% lapply(`[`, , 2) %>% simplify2array()

comb(coef, se) %>% write.csv("tableB3.csv", row.names = FALSE)

# write.csv(coef, "tableB3coef_noadv_IGE.csv")
# write.csv(se, "tableB3se_noadv_IGE.csv")
# 
# list(msm_b_naive, msm_b_ebal,
#      msm_b_naive_male, msm_b_ebal_male,
#      msm_b_naive_female, msm_b_ebal_female) %>%
#   lapply(summary)
# 
# nrow(nlsy79_ed3_b)
# nrow(nlsy79_male_ed3_b)
# nrow(nlsy79_female_ed3_b)

# table B4

# 3-category results # 

# load("results_male_edu3_noadv_IGE.RData")
# load("results_female_edu3_noadv_IGE.RData")
# load("results_edu3_noadv_IGE.RData")
# 
# coef <- list(msm_b_naive, msm_b_ebal,
#              msm_b_naive_male, msm_b_ebal_male,
#              msm_b_naive_female, msm_b_ebal_female) %>%
#   lapply(summary) %>% lapply(coef) %>%  lapply(`[`, , 1) %>% simplify2array()
# 
# se <- list(msm_b_naive, msm_b_ebal,
#            msm_b_naive_male, msm_b_ebal_male,
#            msm_b_naive_female, msm_b_ebal_female) %>%
#   lapply(summary) %>% lapply(coef) %>% lapply(`[`, , 2) %>% simplify2array()
# 
# list(msm_b_naive, msm_b_ebal,
#      msm_b_naive_male, msm_b_ebal_male,
#      msm_b_naive_female, msm_b_ebal_female) %>%
#   lapply(summary) 
# 
# write.csv(coef, "tableB4coef_noadv_IGE.csv")
# write.csv(se, "tableB4se_noadv_IGE.csv")
