rm(list=ls(all=TRUE))

library("foreign")
library("Hmisc")
library("haven")
library("readr")
library("tidyr")
library("dplyr")
library("ggplot2")
library("gridExtra")
library("ltm")
library("pryr")
library("car")
library("xtable")
library("ebal")
library("mgcv")
library("survey")
library("splines")
load("college_expansion.RData")

out2 <- out %>% tbl_df() %>%
  `names<-`(c("prop", "overall", "nocollege", "college")) %>%
  gather(measure, value, -prop) %>%
  mutate(measure = factor(measure, levels = c("overall", "nocollege", "college"),
                          labels = c("full population", "non-college graduates", "college graduates")))
  

ggplot(out2, aes(x = prop, y = value, col = measure)) +
  geom_smooth(aes(linetype = measure), size = 1.5, se = FALSE) +
  labs(x = "proportion of college graduates", y = "rank-rank slope") +
  theme_minimal(base_size = 16) +
  theme(legend.position = "bottom") +
  guides(col = guide_legend(title = "", nrow = 1),
         linetype = guide_legend(title = "", nrow = 1)) 

ggsave("figureG1.tiff", width = 9, height = 6)
